> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/near.md).

# Near

### Access Keys <a href="#access-keys" id="access-keys"></a>

* [View access key](/build/api-reference/near/view-access-key.md)
* [View access key list](/build/api-reference/near/view-access-key-list.md)
* [View access key changes (single)](/build/api-reference/near/view-access-key-changes-single.md)
* [View access key changes (all)](/build/api-reference/near/view-access-key-changes-all.md)

### Accounts / Contracts <a href="#accounts-contracts" id="accounts-contracts"></a>

* [View account](/build/api-reference/near/view-account.md)
* [View account changes](/build/api-reference/near/view-account-changes.md)
* [View contract code](/build/api-reference/near/view-contract-code.md)
* [View contract state](/build/api-reference/near/view-contract-state.md)
* [View contract state changes](/build/api-reference/near/view-contract-state-changes.md)
* [View contract code changes](/build/api-reference/near/view-contract-code-changes.md)
* [Call a contract function](/build/api-reference/near/call-a-contract-function.md)

### Block / Chunk <a href="#block-chunk" id="block-chunk"></a>

* [Block details](/build/api-reference/near/block-details.md)
* [Changes in Block](/build/api-reference/near/changes-in-block.md)
* [Chunk Details](/build/api-reference/near/chunk-details.md)

### Gas <a href="#gas" id="gas"></a>

* [Gas Price](/build/api-reference/near/gas-price.md)

### Protocol <a href="#protocol" id="protocol"></a>

* [Genesis Config](/build/api-reference/near/genesis-config.md)
* [Protocol Config](/build/api-reference/near/protocol-config.md)

### Network <a href="#network" id="network"></a>

* [Node Status](/build/api-reference/near/node-status.md)
* [Network Info](/build/api-reference/near/network-info.md)
* [Validation Status](/build/api-reference/near/validation-status.md)

### Transactions <a href="#send-tx" id="send-tx"></a>

* [Send transaction](/build/api-reference/near/send-transaction.md)
* [Transaction Status](/build/api-reference/near/transaction-status.md)
* [Transaction Status with Receipts](/build/api-reference/near/transaction-status-with-receipts.md)
* [Receipt by ID](/build/api-reference/near/receipt-by-id.md)

### Maintenance Windows <a href="#maintenance-windows" id="maintenance-windows"></a>

* [Maintenance windows](#maintenance-windows)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/near.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
